For the latest news and information visit The GNU Crypto project

## gnu.crypto.tool
Class HashSpeed

    java.lang.Object
      |
      +--gnu.crypto.tool.HashSpeed

public final class HashSpeed
extends java.lang.Object

A tool to exercise a hash in order to measure its performance in terms of number of bytes per second.

Method Summary
`static void` `main(java.lang.String[] args)` Accepts 0, 1 or 2 arguments.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(java.lang.String[] args)

  Accepts 0, 1 or 2 arguments. If no arguments are provided, this method exercises every hash implementation. If one argument is provided, it's assumed to be the name of the hash algorithm. An instance of that hash is then exercised.

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.